/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef PROTO_OLSR_HH_
# define PROTO_OLSR_HH_

extern "C"
{
# include <inttypes.h>
}

/// OLSR related compounds.
namespace olsr
{

  // OLSR message types.
  namespace type
  {
    // OLSR message type.
    enum msg_type
      {
	HELLO	= 1,
	TC	= 2,
	MID	= 3,
	HNA	= 4
      };

  } // End of namespace olsr::type.

  // OLSR packet header.
  struct header
  {

    uint16_t	packet_length;
    uint16_t	packet_seqnum;
    uint8_t	message_type;
    uint8_t	body[];

  } __attribute__((__packed__));

} // End of namespace proto.

#endif // ! PROTO_OLSR_HH_
