/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef PROTO_SNAP_HH_
# define PROTO_SNAP_HH_

extern "C"
{
# include <inttypes.h>
}

// SNAP related compounds.
namespace snap
{

  // SNAP types.
  namespace type
  {

    // SNAP type.
    enum type
      {
	ARP	= 0x806,
	IP	= 0x800
      };

  } // End of namespace snap::type

  // SNAP header.
  struct header
  {

    uint8_t	orgcode[5];

  } __attribute__((__packed__));

} // End of namespace snap.

#endif // ! PROTO_SNAP_HH_
