/*
 * WiPal - A library and a set of tools to manipulate wireless traces.
 * Copyright (C) 2009  Universite Pierre et Marie Curie - Paris 6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *
 * Author: Thomas Claveirole <thomas.claveirole@lip6.fr>
 */
#ifndef TOOL_TIMEVAL_HH_
# define TOOL_TIMEVAL_HH_

extern "C"
{
# include <sys/time.h>
}

namespace tool
{
  /**
   * Compare timeval values.
   *
   * Return whether the two timestamps are equals.  When the time
   * difference between each value is lower or equal than @c prec
   * microseconds, then consider the values are equal.
   */
  bool
  eq_timeval(const struct timeval&	lhs,
	     const struct timeval&	rhs,
	     const unsigned		prec = 0);

} // End of namespace tool.

# include "timeval.hxx"

#endif // ! TOOL_TIMEVAL_HH_
